Debian Bug report logs - #468200
squidtaild: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: squidtaild; Maintainer for squidtaild is Alberto Capella Silva <alberkman@gmail.com>; Source for squidtaild is src:squidtaild.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Wed, 27 Feb 2008 16:24:22 UTC

Severity: important

Tags: patch

Found in version squidtaild/2.1a6-5.1

Fixed in version squidtaild/2.1a6-5.3

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Víctor Pérez Pereira <vperez@debianvenezuela.org>:
Bug#468200; Package squidtaild. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Víctor Pérez Pereira <vperez@debianvenezuela.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: squidtaild: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Wed, 27 Feb 2008 18:21:06 +0200
Package: squidtaild
Version: 2.1a6-5.1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Víctor Pérez Pereira <vperez@debianvenezuela.org>:
Bug#468200; Package squidtaild. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Víctor Pérez Pereira <vperez@debianvenezuela.org>. Full text and rfc822 format available.

Message #10 received at 468200@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468200@bugs.debian.org
Subject: squidtaild: diff for NMU version 2.1a6-5.1
Date: Sat, 5 Apr 2008 13:23:18 +0100
[Message part 1 (text/plain, inline)]
tags 468200 + patch
thanks

Hi,

Attached is the diff for my squidtaild 2.1a6-5.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[squidtaild-2.1a6-5.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Víctor Pérez Pereira <vperez@debianvenezuela.org>:
Bug#468200; Package squidtaild. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Víctor Pérez Pereira <vperez@debianvenezuela.org>. Full text and rfc822 format available.

Message #17 received at 468200@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468200@bugs.debian.org
Subject: squidtaild: diff for NMU version 2.1a6-5.3
Date: Sat, 5 Apr 2008 14:21:32 +0100
[Message part 1 (text/plain, inline)]
tags 468200 + patch
thanks

Hi,

And let's try that again against the current unstable version.  Sorry
about that.

Attached is the diff for my squidtaild 2.1a6-5.3 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[squidtaild-2.1a6-5.3-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 13:24:06 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 468200-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468200-close@bugs.debian.org
Subject: Bug#468200: fixed in squidtaild 2.1a6-5.3
Date: Sat, 05 Apr 2008 13:32:12 +0000
Source: squidtaild
Source-Version: 2.1a6-5.3

We believe that the bug you reported is fixed in the latest version of
squidtaild, which is due to be installed in the Debian FTP archive:

squidtaild_2.1a6-5.3.diff.gz
  to pool/main/s/squidtaild/squidtaild_2.1a6-5.3.diff.gz
squidtaild_2.1a6-5.3.dsc
  to pool/main/s/squidtaild/squidtaild_2.1a6-5.3.dsc
squidtaild_2.1a6-5.3_all.deb
  to pool/main/s/squidtaild/squidtaild_2.1a6-5.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468200@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated squidtaild package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 14:18:33 +0100
Source: squidtaild
Binary: squidtaild
Architecture: source all
Version: 2.1a6-5.3
Distribution: unstable
Urgency: low
Maintainer: Víctor Pérez Pereira <vperez@debianvenezuela.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 squidtaild - Squid log monitoring program
Closes: 468200
Changes: 
 squidtaild (2.1a6-5.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468200.
Files: 
 6644ffedc976b6259114dec49b10be1a 614 web extra squidtaild_2.1a6-5.3.dsc
 8da5bb9d4c6d0da1c5d2bcfccfdb0574 3685 web extra squidtaild_2.1a6-5.3.diff.gz
 5a2af790878dc9d38d82473962db5105 20128 web extra squidtaild_2.1a6-5.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH93xONIW6CNDsByMRApTSAJ9RvHI/WC3T3Vz7RqHakL+2OTHhgwCeO5/L
HxbsIaFzNPOURUOaXT27sI8=
=KbrC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:01:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.